//If this is 1, a file called SrcDoc.htm
//will be generated explaining step by step
//what the compiler has done at execution time
//for debug and learning:
///
 #define IS_TUTORIAL 1


/*
//
//
//
//GCC:
gcc 2018-01-24--FULL-MENTAL-STREAM-0000.c -o 2018-01-24--FULL-MENTAL-STREAM-0000.exe & 2018-01-24--FULL-MENTAL-STREAM-0000.exe
//
//
//
//Open Watcom (Windows):
wcl386 -bt=nt 2018-01-24--FULL-MENTAL-STREAM-0000.c & 2018-01-24--FULL-MENTAL-STREAM-0000.exe
o
wcc386 -bt=nt programa.c
wcl386 -bt=nt programa.obj
//
//
//
//Open Watcom (DOS):
wcl c.c
o
wcc c.c
wcl c.obj
//
*/


//This is ambiguous so it's equally aplliable
//if we refer to us making our compiler
//or directing the compiler used to compile
//and thus we equally refer to them
//with the COMPILER_ directive:
///
///
//#define COMPILER_RUNTIIME_TARGET_PLATFORM  0 //"OS"
//#define COMPILER_RUNTIIME_TARGET_PLATFORM  1 //"DOS"
//#define COMPILER_RUNTIIME_TARGET_PLATFORM  2 //"UNIX"
#define COMPILER_RUNTIIME_TARGET_PLATFORM  3 //"Win32"






///INIT: Standard C headers used
///INIT: Standard C headers used
///INIT: Standard C headers used
///INIT: Standard C headers used

 //NOTE: Uncomment and add standard header files here if the program
 //      crashes, but our intention is to define structures here cleanly
 //      without making the program fail, but if it does just
 //      use the indicated header files here (uncomment #includes
 //      and comment our definitions below until it works).
 ///


#define NULL 0
#define wchar_t unsigned short
/*
*/



//size_t
///
// #include <stddef.h>
#define _SIZE_T_DEFINED
#define size_t unsigned long
#define _w_size_t size_t  //Open Watcom definition of size_t
/*
*/


//printf, fopen, fread, fwrite, ftell, fseek
///
// #include <stdio.h>
 #define SEEK_SET 0
 #define SEEK_END 2

 typedef struct _iobuf
 {
     char*   _ptr;
     int _cnt;
     char*   _base;
     int _flag;
     int _file;
     int _charbuf;
     int _bufsiz;
     char*   _tmpfname;
 } FILE;

 int printf ( const char * format, ... );
 FILE * fopen ( const char * filename, const char * mode );
 int fclose ( FILE * stream );
 size_t fread(void *pointer, size_t size, size_t nmemb, FILE *stream);
 size_t fwrite ( const void * ptr, size_t size, size_t count, FILE * stream );
 long int ftell ( FILE * stream );
 int fseek ( FILE * stream, long int offset, int origin );
 void rewind(FILE *stream);
/*
*/
 
 
//memset, strlen, strncmp, strcat
///
// #include <string.h>
 void * memset ( void * ptr, int value, size_t num );
 size_t strlen(const char *str);
 int strncmp ( const char * str1, const char * str2, size_t num );
 char *strcat(char *dest, const char *src);
/*
*/ 



//malloc, ltoa
///
// #include <stdlib.h>
 void*malloc (size_t size);
 char*ltoa(long l, char*buffer, int radix);
 void free(void *ptr);
 void exit(int status);
/*
*/









//#include <windows.h>
///
#if COMPILER_RUNTIIME_TARGET_PLATFORM ==3  //"Win32"
 #define HINSTANCE void *
 #define HMODULE void *
 #define LPTSTR char *
 #define LPCTSTR const char *
 #define LPCSTR const char *
 #define DWORD long
 #define HWND long
 #define WINAPI __stdcall
 #define INT int //?
 #define UINT unsigned int //?
// #define LPWSTR wchar_t*
// #define LPCWSTR wchar_t*
 #define LPWSTR char *
 #define LPCWSTR char *


int __stdcall MultiByteToWideChar(
  UINT   CodePage,
  DWORD  dwFlags,
  LPCSTR lpMultiByteStr,
  int    cbMultiByte,
  LPWSTR lpWideCharStr,
  int    cchWideChar
);



void * __stdcall ShellExecuteW(
  long        hwnd,
  const char* lpOperation,
  const char* lpFile,
  const char* lpParameters,
  const char* lpDirectory,
  int         nShowCmd
);



int WINAPI MessageBoxW(
  HWND    hWnd,
  LPCTSTR lpText,
  LPCTSTR lpCaption,
  UINT    uType
);



#else
 #define HINSTANCE int
 #define HMODULE int
 #define LPTSTR int
 #define LPCTSTR int
 #define LPCSTR int
 #define DWORD int
 #define HWND int
 #define WINAPI int
 #define INT int
 #define UINT int
// #define LPWSTR int
// #define LPCWSTR int
 #define LPWSTR int
 #define LPCWSTR int



 #define ShellExecuteW(hwnd,lpOperation,lpFile,lpParameters,lpDirectory,nShowCmd)
 #define MultiByteToWideChar(CodePage,dwFlags,lpMultiByteStr,cbMultiByte,lpWideCharStr,cchWideChar)
 #define MessageBoxW(hWnd,lpText,lpCaption,uType)

#endif
/*
*/

///END:  Standard C headers used
///END:  Standard C headers used
///END:  Standard C headers used
///END:  Standard C headers used




//#include "sqlite3.c"
//#include "sqlite-amalgamation.c"










#if IS_TUTORIAL==0
 #define WriteBookFromProgram(bookFileHandle, message, messageSize, indent, messageType)
 #define WriteBookFromProgram_unsigned_long(bookFileHandle, value, base, indent, messageType)

 #define SourceDoc_if(code____)
 #define SourceDoc_else
 #define SourceDoc_indentUp
 #define SourceDoc_indentDown



#elif IS_TUTORIAL==1
//if isTempString, we will use free() on the indicated string to use the same
//behavior found in high level languages like JavaScript where a generated string
//is automatically freed after being used, for example, if generated from a function call,
//then always freed from the function that it is passed to.
///
// void WriteBookFromProgram              (FILE *bookFileHandle, char *message,       long messageSize,    int indent, long messageType, int isTempString);  //last parameters after messagetype should be made optional
 void WriteBookFromProgram              (FILE *bookFileHandle, char *message,       long messageSize,    int indent, long messageType);
 void WriteBookFromProgram_unsigned_long(FILE *bookFileHandle, unsigned long value, unsigned short base, int indent, long messageType);

 #define SourceDoc_if(code____) if(code____)
 #define SourceDoc_else else
 #define SourceDoc_indentUp   SourceDoc_indent++;
 #define SourceDoc_indentDown SourceDoc_indent--;



#endif

short SourceDoc_disabled=0;
int   SourceDoc_indent=0;
FILE  *SourceDoc;



//TOC of SourceDoc parts to generate
//for the compiler at run time:
///
 #define SourceDoc_TUTORIAL_BookSkeleton            1
 #define SourceDoc_TUTORIAL_Forum                   1
 #define SourceDoc_TUTORIAL_DEBUGMsgs               0
 #define SourceDoc_TUTORIAL_TXT                     0
 #define SourceDoc_TUTORIAL_C_Compiler              1
 #define SourceDoc_TUTORIAL_HumanLanguagesDatabase  1
 #define SourceDoc_TUTORIAL_CycleInfo               1


//Here we will select code generation
//or no code generation for the SourceDoc
//depending on which of the parts of the
//document are enabled to be generated
//in the TOC above:
///
 #if SourceDoc_TUTORIAL_DEBUGMsgs==1
  #define WriteBookFromProgram__DEBUG(a,b,c,d,e)               WriteBookFromProgram(a,b,c,d,e)
  #define WriteBookFromProgram__DEBUG_unsigned_long(a,b,c,d,e) WriteBookFromProgram_unsigned_long(a,b,c,d,e)

 #else
  #define WriteBookFromProgram__DEBUG(a,b,c,d,e)
  #define WriteBookFromProgram__DEBUG_unsigned_long(a,b,c,d,e)
 #endif

 #if SourceDoc_TUTORIAL_BookSkeleton==1
  #define WriteBookFromProgram__SourceDocSkeleton(a,b,c,d,e)               WriteBookFromProgram(a,b,c,d,e)
  #define WriteBookFromProgram__SourceDocSkeleton_unsigned_long(a,b,c,d,e) WriteBookFromProgram_unsigned_long(a,b,c,d,e)

 #else
  #define WriteBookFromProgram__SourceDocSkeleton(a,b,c,d,e)
  #define WriteBookFromProgram__SourceDocSkeleton_unsigned_long(a,b,c,d,e)
 #endif

 #if SourceDoc_TUTORIAL_TXT==1
  #define WriteBookFromProgram__TXT(a,b,c,d,e)               WriteBookFromProgram(a,b,c,d,e)
  #define WriteBookFromProgram__TXT_unsigned_long(a,b,c,d,e) WriteBookFromProgram_unsigned_long(a,b,c,d,e)

 #else
  #define WriteBookFromProgram__TXT(a,b,c,d,e)
  #define WriteBookFromProgram__TXT_unsigned_long(a,b,c,d,e)
 #endif

 #if SourceDoc_TUTORIAL_C_Compiler==1
  #define WriteBookFromProgram__C_Compiler(a,b,c,d,e)               WriteBookFromProgram(a,b,c,d,e)
  #define WriteBookFromProgram__C_Compiler_unsigned_long(a,b,c,d,e) WriteBookFromProgram_unsigned_long(a,b,c,d,e)

 #else
  #define WriteBookFromProgram__C_Compiler(a,b,c,d,e)
  #define WriteBookFromProgram__C_Compiler_unsigned_long(a,b,c,d,e)
 #endif

 #if SourceDoc_TUTORIAL_HumanLanguagesDatabase==1
  #define WriteBookFromProgram__HumanLanguagesDatabase(a,b,c,d,e)               WriteBookFromProgram(a,b,c,d,e)
  #define WriteBookFromProgram__HumanLanguagesDatabase_unsigned_long(a,b,c,d,e) WriteBookFromProgram_unsigned_long(a,b,c,d,e)

 #else
  #define WriteBookFromProgram__HumanLanguagesDatabase(a,b,c,d,e)
  #define WriteBookFromProgram__HumanLanguagesDatabase_unsigned_long(a,b,c,d,e)
 #endif

 #if SourceDoc_TUTORIAL_CycleInfo==1
  #define WriteBookFromProgram__CycleInfo(a,b,c,d,e)               WriteBookFromProgram(a,b,c,d,e)
  #define WriteBookFromProgram__CycleInfo_unsigned_long(a,b,c,d,e) WriteBookFromProgram_unsigned_long(a,b,c,d,e)

 #else
  #define WriteBookFromProgram__CycleInfo(a,b,c,d,e)
  #define WriteBookFromProgram__CycleInfo_unsigned_long(a,b,c,d,e)
 #endif

 #if SourceDoc_TUTORIAL_Forum==1
  #define WriteBookFromProgram__Forum(a,b,c,d,e)               WriteBookFromProgram(a,b,c,d,e)
  #define WriteBookFromProgram__Forum_unsigned_long(a,b,c,d,e) WriteBookFromProgram_unsigned_long(a,b,c,d,e)

 #else
  #define WriteBookFromProgram__Forum(a,b,c,d,e)
  #define WriteBookFromProgram__Forum_unsigned_long(a,b,c,d,e)
 #endif


#define SourceDoc_DefaultMsgType 1
#define SourceDoc_enableAutoOpen 1






long OPCODE__Application_read_C_unsigned_char_buffer_BinaryFile(FILE *srcfilehandle, unsigned char **charvalue, long length);
int OPCODE__Application_write_C_long_BinaryFile(FILE *srcfilehandle, long longvalue);

FILE*OPCODE__Application_open_Local_ReadOnly_ASCII_7bit_Name_BinaryFile(char *file_name);
FILE*OPCODE__Application_open_Local_ReadWrite_ASCII_7bit_Name_BinaryFile(char *file_name);
FILE*OPCODE__Application_open_existing_Local_ReadWrite_ASCII_7bit_Name_BinaryFile(char *file_name);
void OPCODE__Application_Close_Local_File(FILE *filehandle);




unsigned char *OPCODE__Compiler_ASCII_7bit_unsigned_long_to_string(unsigned long num, unsigned short base);
unsigned long OPCODE__Compiler_ASCII_7bit_getStringLengthFrom_unsigned_long(unsigned long num, unsigned short base);
char *COMPILER_numbases_letters_array_uppercase="ABCDEFGHIJKLMNOPQRSTUVWXYZ";
char *COMPILER_numbases_letters_array_lowercase="abcdefghijklmnopqrstuvwxyz";



int OPCODE__Compiler_Print_ASCII_7bit_String(char *str);
int OPCODE__Compiler_Println_ASCII_7bit_String(char *str);
int OPCODE__Compiler_Print_ASCII_7bit_C_long_HexString(long value);








///INIT: SQLite3 3.22.0
///INIT: SQLite3 3.22.0
///INIT: SQLite3 3.22.0
///INIT: SQLite3 3.22.0
///INIT: SQLite3 3.22.0
///INIT: SQLite3 3.22.0
///INIT: SQLite3 3.22.0
///INIT: SQLite3 3.22.0


#include "sqlite3_fork.c"



///END:  SQLite3 3.22.0
///END:  SQLite3 3.22.0
///END:  SQLite3 3.22.0
///END:  SQLite3 3.22.0
///END:  SQLite3 3.22.0
///END:  SQLite3 3.22.0
///END:  SQLite3 3.22.0
///END:  SQLite3 3.22.0





int main(int argc, char *argv)
{
 //Esta línea hace que los servidores web
 //vean la salida de este programa con funciones
 //como printf() como salida válida de binario CGI
 //(Common Gateway Interface):
 ///
  printf("Content-Type: text/html;charset=UTF-8\n\n");



 SourceDoc=OPCODE__Application_open_Local_ReadWrite_ASCII_7bit_Name_BinaryFile("2018-01-24--FULL-MENTAL-STREAM-0000.htm");
 if(SourceDoc==NULL)
 {
  OPCODE__Compiler_Println_ASCII_7bit_String("No se pudo crear el archivo de SourceDoc 2018-01-24--FULL-MENTAL-STREAM-0000.htm\r\n");
  return 1;
 }


 //void WriteBookFromProgram(FILE *bookFileHandle, char *message, long messageSize, int indent, long messageType)
 //void WriteBookFromProgram_unsigned_long(FILE *bookFileHandle, unsigned long value, unsigned short base, int indent, long messageType)
 ///
  WriteBookFromProgram__SourceDocSkeleton(SourceDoc, "<!DOCTYPE html>\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__SourceDocSkeleton(SourceDoc, "<html>\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__SourceDocSkeleton(SourceDoc, " <head>\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__SourceDocSkeleton(SourceDoc, " <meta charset=\"UTF-8\">\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__SourceDocSkeleton(SourceDoc, " <title></title>\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__SourceDocSkeleton(SourceDoc, " </head>\r\n", 0, 0, SourceDoc_DefaultMsgType);




  WriteBookFromProgram__SourceDocSkeleton(SourceDoc, "<body>\r\n", 0, 0, SourceDoc_DefaultMsgType);



  WriteBookFromProgram__SourceDocSkeleton(SourceDoc, "<pre>", 0, 0, SourceDoc_DefaultMsgType);
  ////INIT: This is where the actual content of this book starts
  ////INIT: This is where the actual content of this book starts
  ////INIT: This is where the actual content of this book starts
  ////INIT: This is where the actual content of this book starts
  ////INIT: This is where the actual content of this book starts
  ////INIT: This is where the actual content of this book starts
  ////INIT: This is where the actual content of this book starts
  ////INIT: This is where the actual content of this book starts


 //void WriteBookFromProgram(FILE *bookFileHandle, char *message, long messageSize, int indent, long messageType)
 //void WriteBookFromProgram_unsigned_long(FILE *bookFileHandle, unsigned long value, unsigned short base, int indent, long messageType)
 ///
  WriteBookFromProgram(SourceDoc, "<h1><center><i>Inicio del Ciclo</i></center></h1>\r\n\r\n", 0, SourceDoc_indent, SourceDoc_DefaultMsgType);


  WriteBookFromProgram__TXT(SourceDoc, "¿Alguna forma de armar estas palabras con inteligencia\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de programa? En esto podría servirnos el diccionario\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de palabras de todos los idiomas.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "Si algo no es difícil podemos simplemente\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "dejar de hacer esfuerzo pesado inmediatamente.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Si no estamos pensando nada complejo pero sentimos eso\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "lo más seguro es que sea algo sin dificultad y\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "podamos seguir sin esfuerzo alguno.\r\n\r\n\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);


  WriteBookFromProgram__TXT(SourceDoc, "Puedo usar mi compilador precisamente para estos documentos.\r\n\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);


  WriteBookFromProgram__TXT(SourceDoc, "Puedo usar las funciones del tipo que estoy desarrollando actualmente\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "como las del compilador hasta que me ponga a desarrollar otra cosa\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "si estas no me sirven mucho.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "También puedo ponerme a anotar cómo hacía las cosas cuando\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "estaba chiquito para poder acordarme con total claridad y\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "volverlas a hacer así, y lo mismo para gente de la familia,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "amigos......\r\n\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);


  WriteBookFromProgram__TXT(SourceDoc, "Esto es extremadamente ideal para ponernos a agregar funciones\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de otros programas, traducirlas hacia C normal sin nada nuevo base,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "a Ensamblador, y hasta podemos acumular los flujos de ideas\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "acumuladamente para todo el ciclo para hacer un programa entero\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y solo dividirlo por partes de una forma que podamos solo escribir\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "lo que interesa para cada mensaje de foro que hagamos, pero con\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "esto podemos hacer muchas pruebas, un gran programa de demo,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "hablar cada vez más con las computadoras de una misma\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "arquitectura y versión de sistema operativo. Todas las máquinas\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "que usan lo mismo es como si fueran un mismo individuo,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y totalmente es así si tienen el mismo hardware idéntico\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "como cuando las computadoras empezaban y todas eran iguales\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "en las características más importantes, todo estaba estandarizado.\r\n\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);


  WriteBookFromProgram__TXT(SourceDoc, "el tongoneo -- abrir en Google todas las búsquedas que queremos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "               y las de otros programas también, hacer el log, etc.....\r\n\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);


  WriteBookFromProgram__TXT(SourceDoc, "lyrics electro electro move it move it on time\r\n\r\n\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);




  WriteBookFromProgram__TXT(SourceDoc, "Hasta los cuadernos podrían ser derivados de código que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "escribamos, podríamos escribir todo en forma de programa que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "calcule, que trabaje con los datos que nos dicen, formar bases\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de datos para cada materia, y trabajar a partir de eso de forma\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "ejecutable, analizable por la computadora con y sin intervención\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "humana.\r\n\r\n\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);



  WriteBookFromProgram__TXT(SourceDoc, "separate join words\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "Hacer tutoriales solo de funciones de programas y las que estamos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "desarrollando paso a paso con depuración en programas como este\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "buscando formas cada vez más fáciles de incluir solo un fragmento\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de función o grupo de funcioes de una o más con sus variables para\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "poder analizarlas de forma efectiva fuera del programa, entenderlas\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y reintegrarlas en el programa destino de forma limpia.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "Siempre tratando de llegar al nivel más bajo de C, del lenguaje,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de todo lo que usemos para mantener un entorno mental limpio\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y fácil de usar de inmediato en formas avanzadas sin muchos recursos personales.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "Una posible forma de encontrar errores en un sistema operativo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "o programa es con programas como este, donde desplegamos todo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "lo que vamos haciendo, donde para escribir cosas tenemos que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "usar cada vez más APIs, librerías, código y trucos, y si hacemos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "eso hasta con drivers, módulos de kernel, etc., cosas de depuración,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "podríamos terminar encontrando errores y limitaciones, y si estas\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "siguen existiendo, entre más tiempo sigan ahí más fácil va a ser\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "que se nos ocurra cómo hacer exploits, y cosas parecidas, así que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "llega un punto que con solo seguir usando sistemas viejos de esta\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "forma, llegamos a entender cómo funciona un sistema, por más\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "viejo que este sea.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "I only like to use raw data types and minimalized\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "OPCODE-like functions that do exactly the same in all languages.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "No sé cómo copiar fácil de mi mente a otros medios.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "youtube playlist inside playlist\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "C es tan pesado y tan global que tenemos que recurrir\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "a cosas como estar escribiendo en C en vez de texto normal todo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "el tiempo para poder entenderlo y tener suficiente práctica,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "pero es la parte de C compatible con todos los compiladores,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "la de más bajo nivel y soportada por todos la que es así, aunque\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "también la más ventajosa ya que lo que hagamos correrá en cualquier\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "sistema y será tan moderno como lo que aprendamos, solo tenemos que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "traducir TODO el código que necesitemos y empacarlo de forma particular\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "en OPCODEs y en programas específicos con el 100%% del código que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "necesitan, con sus propias versiones de librerías para que sea código\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "realmente portable a cualquier sistema, hasta al viejo DOS, hasta a nuestro\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "propio sistema incomparablemente menos capaz que DOS.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "Nuestras ideas [BASE] también pueden tener fotos/videos/dibujos nuestros/audio.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "Creo que este es el entorno óptimo de programación que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "estaba buscando después de que todos cambiaran lo óptimo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de nivel de sistemas operativos de MS-DOS, Win9x, sitios web\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "viejos técnicos, máquinas viejas fáciles de programar y capaces,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "porque siento una aceleración extrema que me puede servir para\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "estar programando mientras escribo todo el tiempo ahora sí, manejando\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "las cosas de todos los niveles de dificultad.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "eMule: rare delete src\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "mediafire\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "El lenguaje C básico que compila con todos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "los compiladores de 16/32/64 bits es la mejor\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "opción para nuestro trabajo, y para trabajos de\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "dominio público (Visual Studio, Open Watcom,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "DJGPP, MinGW, Borland C++ para DOS y Windows...).\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Pero el código también tiene que ser tan limpio como\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "JavaScript viejo para poder correr libremente en cualquier.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "sistema con cualquier compilador sin que el código sea\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "indescifrable y haya que cambiarlo.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Como sabemos que el código de los proyectos más\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "importantes no está limpio, vamos a tener que limpiarlo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "para hacerlo usable a nivel de dominio público, y más bajo,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "a nivel de bichito que quiere aprender toda la computación.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "Limpiar todo el código de cada proyecto en una única versión base\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "podría llevarnos todo un año, pero por lo menos es un plazo corto\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y nos va a dar enorme libertad porque vamos a poder tener programas\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "modernos en todos los sistemas. Es una buena forma de dedicar el tiempo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "a un proyecto anual aprendiendo y mejorando un proyecto existente.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "Valiente latino\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "https://mega.nz/#!VpsigbZK!isFpFjJrGzH7uqh6yGw58CkLRiH18YXQkUWPUq9chfQ\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__C_Compiler(SourceDoc, "Empezar agregando las funciones enteras y después\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "agregar cualquier cosa que le haga falta, pero por nuestra\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "cuenta, no usando código de librerías externas, y después\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "traducirla a C estándar a todos los compiladores que nos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "permita usar el código hasta en los compiladores y sistemas\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "más viejos de forma transparente, aunque tengamos que usar\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "#includes para hacer alias de instrucciones de C y funciones/variables,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "y usar código activo de C para decidir en tiempo de ejecución si\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "opciones para diferentes sistemas son válidas, según la configuración\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "del sistema destino en el que correr, seleccionada en tiempo de compilación.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "También empezar con una versión inicial del programa que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "corra en un sistema normal/actual, y a partir de ahí, sabiendo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "las funciones específicas que agregar para ese proyecto,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "solo agregar el código de las dependencias y de las funciones\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "usadas, a mano.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "nombre que empieza con m liliana S evelyn yoana\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "Quizás me podría quedar oyendo una sola cosa para quedarme sintiendo así,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "como cuando estaba chiquito y hacía en algunas cosas.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);


  WriteBookFromProgram__TXT(SourceDoc, "Quizás logre entender y agregar rápido código actualizado\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "a un programa si trato de usar una función y veo que no hace.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "las cosas como la versión que quiero, y entonces agrego poco a poco\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "el código nuevo hasta que todo esté funcionando como se supone.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "Y lo mejor es que puedo ponerme a trabajar en ese tipo de cosas siempre\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "que me bloquee trabajando en mis proyectos principales,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "siempre que me esté durmiendo, sorprendentemente es el estado mental\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "más accesible para estar tratando de arreglar código que corra en todos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "los compiladores, hasta que lo logre y haga un propio fork completo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de los programas que estudie.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);


  WriteBookFromProgram__C_Compiler(SourceDoc, "Además para cuando empiece a entender el código de un\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "programa, voy a estarlo limpiando y revisando todavía.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "Es como si tuviéramos que pasar un buen tiempo estudiando\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "un programa antes de poder entenderlo y lograr manejarlo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "totalmente por nosotros sin importar el estilo de programación\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "que tenga, como si tuviéramos que hacer eso ya sea en nuestra\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "mente o en código fuente en la computadora.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "Es sorprendente ver cómo el tiempo que nos lleva empezar\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "a entender algo y el tiempo que nos lleva terminar de\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "limpiar efectivamente el código por mucho tiempo gradual\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "se corresponden, así que lo único que tenemos que hacer\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "es darnos tiempo de agregar gradualmente TODO el código\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "de las librerías que necesitamos usar en respuesta a\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "ejemplos y proyectos/librerías que vemos cómo se usan,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "si es posible reimplementar APIs de sistema que no tengan\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "privilegios especiales de interfaces del sistema, aunque como\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "sabemos esas también las podemos reemplazar bajando al nivel\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "más básico del sistema operativo, y así todo el tiempo vamos a\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "pasar limpiando y documentando el uso del código de proyectos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "existentes, usaremos solo lo que realmente estamos pensando en\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "usar de la versión del programa que hemos escogido, y cuando\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "necesitemos agregar funciones nuevas, tenemos versiones nuevas\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "que solo tendremos que agregar puntualmente hasta que todo quede\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "funcionando otra vez como sabemos que tiene que ser, y así podremos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "mantener tan actualizada como podamos nuestra versión\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "derivada para el estudio y la liberación de la tecnología\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "de software, de tanto tratar, terminaremos teniendo esa base,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "cuando veamos que tenemos versiones propias y funcionales de\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "programas que de otra forma no eran lo suficientemente\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "estándar como para correr en cualquier entorno.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__C_Compiler(SourceDoc, "Ahora sabemos que un doble puntero ** como parámetro\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "nos indica que queremos poder modificar una estructura,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "o apuntar a la copia original para evitar duplicar memoria,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "y así nos daremos cuenta de pequeños detalles que siempre\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "se van a usar en algo conocido, y cuando entendamos esas\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "secuencias de caracteres como conceptos, como si fueran palabras\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "chinas, vamos a ver el código mucho más claro,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "y pasar agregando las funciones que queremos estudiar.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "de cualquier programa, cualquier función, a los programas\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "de flujos de ideas como este para pasar en eso el 100% del tiempo.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__C_Compiler(SourceDoc, "Log de Trucos de Este Programa (Mentales y de Programación)\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__C_Compiler(SourceDoc, "Lo que interesa cuando nos pongamos a limpiar y estudiar\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "código es entender los trucos que usa en cada momento para\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "aprender cosas nuevas, y para eso nos puede aprender a\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "ver las cosas como un compilador avanzado y actualizado de C\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "ya que entre más entendamos a nivel de cómo compilar un programa,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "veremos cada vez más con facilidad, como si fuera un script de\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "JavaScript, lo que quiere hacer el programa, de una forma en la que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "podamos pasar de la sintaxis, al estudio y accesibilidad global\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "de los trucos con código traducido a lo más simple posible, hasta\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "de C++ a C, de JavaScript a C, de objetos hechos con lenguaje\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "a datos y rutinas equivalentes en C simple.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__C_Compiler(SourceDoc, "Los programas usan mucho el preprocesador para seleccionar\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "un rango amplísimo de opciones, lo que tenemos que hacer es\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "agrupar esas opciones con valores razonando cómo queremos que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "funcione el programa, por qué, o sólo escoger la funcionalidad\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "mínima.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "Por lo menos tantas veces de hacer lo mismo y\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "la concentración de la distancia lo hacen ver a uno\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "el estado de algo realmente.\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "SUEÑO: Quedarnos siempre en canales mentales en los que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "las cosas se concentren y corran en programas que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "le den forma a lo que pasa y lo que podemos pensar\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "ejecutando en todos los niveles mentales.\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "autoejecucón de programa\r\n", 0, 0, SourceDoc_DefaultMsgType);
  
  WriteBookFromProgram__TXT(SourceDoc, "Tengo que prender matemática y electrónica en Internet aunque sea difícil.\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "Adrián convirtió bolo fantasmas.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Lista de ideas, palabras, etc., que pueden inducir ejecución mala de ocio.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Conseguir varias capas de funcionalidad hasta que se logre\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "sostener por sí sola una capa o estado general por sí solo y estable, en lo que sea.\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "Nanociclos de trabajo con metas que alcancen hasta cada subproceso por neurona,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "también por cada idea que tengamos, verla como un nanociclo y ejecutarla con metas\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "para ir rotando de forma pesada pero efectiva lo que cada idea puede hacer para\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "mejorar y darle forma a nuestro entorno mental.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "neurona neuronda\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "Hacer una cosa concentrada sin interrupción, por ejemplo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "así como me pongo a comer un día sí y un día no (solo agua y suero)\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y después me siento mejor porque así roto los nutrientes viejos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "que parecen tener vencimiento en el cuerpo igual que en un bote,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "también necesito por lo menos 1 día para concentrarme en cosas\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de alto nivel sin usar sitios de los nuevos que no existían\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "allá por el 2004-2005-2007 y que no me distraían, o hacer\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "un tiempo, no usar esos sitios hasta que logre avanzar y ya no\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "se me ocurra realmente absolutamente nada al respecto y no me\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "quede energía, entonces puedo descansar, soltar esas tareas\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y simplemente hacer lo que me repone profundamente hasta cuando\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "estoy enfermo, que podría hacer que use menos los sitios que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "me distraen.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "Obviamente, los días en los que como menos son cuando\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "más me podría concentrar en las cosas que más me gustan, matarme más, como siempre hice.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);


  WriteBookFromProgram__TXT(SourceDoc, "us<stroke>emen</stroke>os usos\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__HumanLanguagesDatabase(SourceDoc, "¿Cómo Implementar en C la base de datos de palabras de todos los\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__HumanLanguagesDatabase(SourceDoc, "idiomas sin usar SQLite3 pero que pueda convertir fácil después\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__HumanLanguagesDatabase(SourceDoc, "a ese formato?\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "infomupis\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "Por lo menos Open Watcom me va a servir para saber si realmente\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "estoy usando el mínimo de C que corra en todos los sistemas y que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "me deje extenderme a mano.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "love my unity lyrics 2013\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "love my unity lyrics 2014\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "love my unity lyrics 2015\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "La gente necesita entender el 100% de las cosas a un nivel\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "en que las pueda desenvolve de cualquier forma flexible/dinámica/creativa\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "para poder ejecutar cosas, a diferencia de la computadora que solo\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "necesita instrucciones que funcionen sin causar errores de ningún tipo.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "I've started to eat well 1 day, and then the next day I don't eat anything, and so on - I just drink water, sometimes some soda, and rehydration salts. Then I do my normal activities and sleep as much as I feel I need. I make sure to drink enough to urinate at least 0.5 gallons, 1 gallon, or ideally 1.5 gallons, which is my blood volume in water based on my weight. I think that the people that feels tired all the time has some obesity, is very intoxicated because they don't try to drink/urinate their blood volume in water daily, and have let things in their life to modify the way they do things so that they are no longer ideal, but if they did their daily activities exactly like when they were younger and did the best in their best moments in life, they would immediately start feeling energic. I've found that if I turn off the TV/radio/whatever that would make me feel exhausted when I'm really sick, it also makes me feel better immediately because the sole fact of unintentionally listening to those things can consume around 40% of my energy in a given moment. I've also found that if I have some obesity and eat well a day and then don't eat anything the next (just rehydrating) then the next day I feel better, with more energy. It is as if there's a moment where the body can no longer keep food healthily and then it's better to use one's own body nutrient reserves as food every other day, to also renew them as I suspect that the nutrients in our body have an expiration time and if we don't learn to fully use them and replenish them, then they will cause illness if we let them expire, they will degrade and will cause disease, so that's probably why I feel better when not eating that day despite the feeling of hunger in my stomach, which I can calm down by drinking a mouthful of water with oral rehydration salts and also concentrating in letting my feeling of hunger and dizziness pass by feeling and trying to make my nutrient reserves to be released and start circulating in place of food that day. If we take into account that we were born fed by the umbilical cord, then it's not so insane to think than in these modern times where a lot of people have obesity, those people can use themselves as food, and they would do well because using the body reserves as food for a day feel in general more delicious, more nutritive, and more energizing than regular food. Obesity could in reality be an additional resource of modern life intended to be used as food often. If we already have good food stored in our body, the healthiest choice is eating it by not eating a day, every other day, as you see fit... I've also found that when you don't eat for a day, you can also literally eat any sensation of disease. If you really have the intention, feel and try to make nutrients circulate, you will end up actually consuming nutrients that might have toxins but that then will be excreted and will no longer cause you disease or pain. For example, if you feel a burning sensation in your legs and have some problems with them, feeling that you eat up the areas where they hurt will heal them, the day you don't eat.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);


  WriteBookFromProgram__C_Compiler(SourceDoc, "¿Cómo definir el inicio y fin de comentarios con el preprocesador\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "para desactivar bloques según queramos?\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__C_Compiler(SourceDoc, "Y si realmente pienso usar C++, que sea solo lo que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "todos los compiladores pueden entender, traducir hacia eso\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "programas actuales de C++, después de eso puedo llevarlo a\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "nivel de C y después de Ensamblador; ese puede ser un truco\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "útil cuando esté implementando mi compilador de C++.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);


  WriteBookFromProgram__Forum(SourceDoc, "La meta para el ambiente sería lograr sostener\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__Forum(SourceDoc, "el ambiente que había antes para estar así de bien\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__Forum(SourceDoc, "y también para lograr mantener el impulso en las cosas\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__Forum(SourceDoc, "que no hacemos formalmente en el país, cosas de mucha mayor\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__Forum(SourceDoc, "complejidad pero entendiéndolas mucho mejor, completamente.\r\n\r\n\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);



  WriteBookFromProgram__TXT(SourceDoc, "Podemos apagar una sensación mala del todo una vez que nos damos cuenta\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "que la hemos sentido o hay algo que nos desgasta, porque lo malo nunca\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "nos acompaña realmente, solo nos deja con la sensación del daño\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "pero el o lo que la hizo ya no está ahí aunque de alguna forma instintiva\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "creamos lo contrario. Así que es fácil apagar esa sensación tan pronto\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "se siente porque realmente ya nadie la está sosteniendo y si nosotros la\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "apagamos, que somos los únicos que la sentimos realmente, esta se va a desvanecer.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);


  WriteBookFromProgram__TXT(SourceDoc, "Yo ya sospechaba que .......[RECUPERADO COMIÉNDOME LAS SUSTANCIAS EN EL CEREBRO QUE ME CAUSAN OLVIDO UNO DE LOS DÍAS QUE NO COMO Y MATÁNDOME PARA CONCENTRARME EN TRABAJAR.....]\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Yo creo que nadie estaba preparado para tantos sistemas operativos,.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "así que el código de los programas es mucho más sucio que el de\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "MS-DOS, y ahora si queremos que vuelva a ser tan bueno como antes,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "tenemos que trabajar nosotros en y con nuestro país y los que quieran\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "ayudarnos para limpiar dicho código aunque nos tardemos décadas,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "aunque tengamos que aprender tanto como los que más saben en el planeta\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "para las nuevas generaciones mientras nos tardamos y limpiamos código\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y otros productos de la tecnología y ciencia.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);


  WriteBookFromProgram__TXT(SourceDoc, "ciclo de trabajo, ciclo de desarrollo\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);


  WriteBookFromProgram__TXT(SourceDoc, "visual special effects toolkit in c++\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);


  WriteBookFromProgram__TXT(SourceDoc, "Lo otro curioso es que el tiempo que necesito para tener fuerza\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de seguir escribiendo programas aunque sea con SourceDocs para\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "leerlo fácil, es el mismo que uso con la misma intensidad, entusiasmo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y esperanza de encontrar buenas respuestas de otros, que el que me tardo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "en decidirme a escribir en un foro como OSDev.org o svcommunity.org,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "así que es posible que el spam humano esté tratando de evitar que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "me concentre en lo que siempre me va a poder contestar incondicionalmente\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "con las mejores respuestas, que es la computadora, así que si veo que todos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "ya están demasiado cansados desde el entorno público como para explicarme\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "todo lo que quiero aprender, voy a tener que depender de que la computadora\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "con mis SourceDocs sea la que me explique con la misma tardanza que tenga yo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de lograr entender, reexplicar y reimplementar de forma total y limpia, así que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "no hay más que hacer, solo implementar en secuencia ordenada cada cosa desde cero,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "una cosa por año con los ciclos de trabajo para acelerar y hacer más tangibles\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "los resultados, y en alrededor de una década realmente deberíamos tener más que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "lo que logramos hacer en la década pasada.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);


  WriteBookFromProgram__TXT(SourceDoc, "ingrain continuus heavy development actions/thoughts to any other thought, don't let them disenvolve without first being us in the front and for what we are doing, handle things as we know they end up being usable at high level\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "son cosas que los demás países ya resolvieron\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);


  WriteBookFromProgram__TXT(SourceDoc, "Physical and mental pointers returning always exclusively on your current project or thought to implement, small or big, at the point where you are trying to continue. Ignore if you are sleeping, tired, sitted, leaning back, just put the pointer there again always, as in PositionPreserve.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "The development situation seems to lock by itself, like the doors in Zelda, every time we start/end what we were doing and get to point to the content we are handling, so it's better to ensure to be pointing physically and mentally in the computer, paper, our mind, our environment, the focused programs and webpages/PDFs on screen, to what we want to do the most at all times.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);


  WriteBookFromProgram__TXT(SourceDoc, "\r\n\r\n\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);



  WriteBookFromProgram__CycleInfo(SourceDoc, "///INIT: Ciclo de Trabajo Externo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "///INIT: Ciclo de Trabajo Externo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "///INIT: Ciclo de Trabajo Externo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "///INIT: Ciclo de Trabajo Externo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "#0\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  

  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "///END:  Ciclo de Trabajo Externo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "///END:  Ciclo de Trabajo Externo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "///END:  Ciclo de Trabajo Externo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "///END:  Ciclo de Trabajo Externo\r\n\r\n\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);



  WriteBookFromProgram__CycleInfo(SourceDoc, "///INIT: Ciclo de Trabajo Externo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "///INIT: Ciclo de Trabajo Externo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "///INIT: Ciclo de Trabajo Externo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "///INIT: Ciclo de Trabajo Externo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "#1\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__CycleInfo(SourceDoc, "(2018-01-25)Explorando la Carerra de Computación de Nuestra Gente\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "Este tema busca servir como un diario/prensa/periódico orientado a la computación desde lo que tenemos nacionalmente.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "En este tema, pare este ciclo de trabajo, la meta es poner cualquier código bueno, interesante, que nos mejore.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "La meta es que tanto gente que no sabe usar la computadora como programadores puedan poner trucos con los que al final podamos hasta armar un programa útil en la vida real solo con la información en este tema.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "Se puede preguntar, decir o poner cualquier código que nos dé indicios de cómo estamos en las carreras de computación para que quienes quieren estudiarla sepan cómo está la cosa.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "Una pregunta que puedo hacer es, [b]¿quiénes usan la palabra \"opcode\" en su trabajo?[/b]\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "----------------------------------------------\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "----------------------------------------------\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "----------------------------------------------\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "----------------------------------------------\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "Por ejemplo ahorita el último truco que he encontrado es que me puedo poner a hacer un programa de C solo para escribir estos mensajes del foro y que generen un HTML. Para eso tengo que hacer varios trucos y con eso logro aprender a nivel de C estándar a todos los compiladores populares nuevos y viejos, solo con estar escribiendo porque también estoy programando todo el tiempo para hacer común a C. [b]Adjunto el código actual de C del que he copiado este mismo texto.[/b]\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "Después de eso estoy haciendo un compilador de C:\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "[url]http://www.youtube.com/playlist?list=PLAtuuvZSlQWD35XNiBl8w3kztdP5VKii_[/url]\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "[url]http://sourceforge.net/projects/c-compiler/files/[/url]\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "[url]http://devel.archefire.org/forum/viewtopic.php?p=4464[/url]\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "[url]http://devel.archefire.org/forum/viewforum.php?f=228[/url]\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "Como vamos a poder ver, lo más fácil es que normalmente usemos las cosas que funcionan en todos los casos, en todos lados, no necesariamente cosas que nos limiten sino que funcionen bien para todo. Eso no solo aplica a la computación y a los compiladores, sino que a la vida real. Como sabemos, hay código que compila con unos compiladores pero no con otros, y lo mejor sería que los programas más importantes estuvieran escritos usando solo lo que todos los compiladores tienen en común para hacer que compile hasta en sistemas viejos, no tratar de ensuciar el código con condiciones que solo lo restringen a menos compiladores tratando de usar funciones nuevas sin portear un compilador de la misma forma, a compiladores que no tenían esos elementos de lenguaje.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "Lo que necesito hacer ahorita es que el compilador lea una línea y vea que el primer carácter de interés en la línea sea '#' para manejar el preprocesador. En otras palabras detectar las líneas que empiezan con '#' e interpretar cada instrucción de preprocesador.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "Puede no parecerlo pero esto se pone tedioso y se tiende a bloquear la mente porque hay que usar muchas funciones, y hay que hacerlo de forma limpia, que sea fácil de leer para cualquiera.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "El compilador tiene una función que se llama Main_Loop(), que es donde tenemos 3 bucles (con uno interno y uno externo) para manejar el preprocesador, las declaraciones globales y las declaraciones dentro de funciones.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "En este punto nos interesa agregar código al primer bucle, que es del preprocesador, a su bucle interno, que es el que hace todo el procesamiento (el externo casi solo se encarga de abrir y preparar el archivo de código que se le configura).\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "Para desbloquearme, tengo que empezar escribiendo el código sin mucho adorno, así como quede, y poco a poco mejorarlo. Muchas veces, el código que tiene algún tipo de truco particular que se nota interesante al haberlo desarrollado lo convierto en una función de tipo OPCODE para reusarlo de forma estable y conocida en cualquier otro programa de forma tan duradera como las instrucciones del CPU x86, pero implementadas en software y para aplicaciones específicas además de las instrucciones base de Ensamblador para que un programa corra.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  

  WriteBookFromProgram__CycleInfo(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "///END:  Ciclo de Trabajo Externo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "///END:  Ciclo de Trabajo Externo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "///END:  Ciclo de Trabajo Externo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__CycleInfo(SourceDoc, "///END:  Ciclo de Trabajo Externo\r\n\r\n\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);




  WriteBookFromProgram__TXT(SourceDoc, "Yo soy la otra computadora que necesita recibir datos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "para ejecutar yo las decisiones de aprendizaje/desarrollo/uso\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de los datos que otro programa me mande, así que no importa cómo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "esté escrito o no, eso es como un programa desconocido corriendo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "en una máquina remota, lo que importa es que me dé datos claros\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "para sobrepasar la sintaxis que pueda tener y hasta reimplementar yo,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "pero buscar los programas más fáciles para nosotros en un momento dado.\r\n\r\n", 0, 0, SourceDoc_DefaultMsgType);


  WriteBookFromProgram__TXT(SourceDoc, "El código que estoy haciendo es tan simple, tan original a mi mente,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "tan repasado, entendido y diseñado como lo que pienso, que termina\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "esquivando/eludiendo todo el resto de código de programas, tutoriales, libros,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "cualquier recurso educativo o implementado del mundo real, así que tengo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "que implementarlo yo, queda mejor pero es muchísimo más caro en todo,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y prácticamente nadie quiere ayudar el 100% de las veces en copiar el\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "contenido de mi mente porque otros también tienen la misma tarea... es una buena\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "forma de que todo encaje, que nadie reclame derechos de autor (lo menos importante),\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "el código más limpio del mundo para mí con las explicaciones más limpias y simples,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "tecnología y contenido original, entender realmente mi estructura y cómo veo las cosas\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "al dibujarlas yo para ver qué nivel de acceso tengo a ellas...\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Hacer las cosas con la máxima simplicidad, sin capas extra entre los principios implementados\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y el código, de la forma más limpia que tenemos que ofrecer a nuestro propio estilo,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "parece ser mutuamente excluyente con el resto de lo que hay disponible,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "pero siempre es lo más simple, directo y fácil de entender para todos...\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "Código de C para obtener código fuente, si este cambia, buscándolo,sabemos que hubo cambios y tenemos que actualizar las explicaciones.....\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "una grandísima interfaz para estudiar distribuciones de código fuente desde la raíz del proyecto de código fuente.....\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "like a stone\r\n", 0, 0, SourceDoc_DefaultMsgType);


  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);


  WriteBookFromProgram__C_Compiler(SourceDoc, "Unir todo el contenido de nuestro estilo con el de la documentación,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "funciones y datos originales de todo lo que nos ha ayudado, para hacer\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "un solo docuento que incluya lo genérico de toda esa información\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "para armar algo propio que se vuelva tan fácil de usar gracias a usar\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "el mismo estilo HTML de documento, las mismas explicaciones abundantes\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "y otros elementos que hagan que todo funcione igual de bien.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__C_Compiler(SourceDoc, "En los ejemplos de documentación de nuestro compilador u otros\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "proyectos, poner cada truco que conozcamos que corresponda mayormente\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "a cada función o variable que estamos documentando.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "Pero si se siente bien hacer esto así es porque así\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "me puedo meter muchísimo más a modificar el software existente\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "y aprender muchísimo más, como al principio, solo que ahora estoy\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "en un contexto de código abierto.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);



  WriteBookFromProgram__C_Compiler(SourceDoc, "Que parezcan programas HTML/JavaScript/PHP todos los que hagamos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "interna y externamente para que sean directamente compatibles con\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "las páginas web al darnos todos los datos en los formatos usados\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "por las etiquetas y estilos HTML y CSS, todo lo que tenga una página\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "web, como dar colores en rgb(0,0,0,0) y hexadecimal.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__C_Compiler(SourceDoc, "Tan original que hasta usamos solo el nombre común de las cosas\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "para muchos proyectos, sin nombres de adorno.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);


  WriteBookFromProgram__C_Compiler(SourceDoc, "Tener técnicas para darle forma a robots\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "que nos cooperen/ayuden a trabajar como si fueran gente,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "pero que sean cosas lógicas que nos ayuden cuando se ejecuten,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "por ejemplo trabajar en base a funciones de tipo OPCODE\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "en todos los niveles de programación (empaca insistentemente\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "todo lo que logramos implementar con trucos especiales\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "como funciones que se pueden reusar como un CPU con\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "cada vez más capacidad), SourceDocs para ver cómo funciona\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "el programa con capacidad para solo activar o desactivar\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "bloques de mensajes por categorías, capítulos en un programa, etc...\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "Es increíble que el formato de un documento web, al\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "acceder todos nuestros efuerzos a través de este,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "haga que todo sea tan accesible e inmediatamente fácil de\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "implementar, como siempre ha sido lo que estamos usando,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "por ejemplo tan fácil como la documentación en el sitio de PHP\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "o tan fácil com el HTML Reference Library, o libros que hayamos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "visto antes, es como si pudiéramos extender los canales intelectuales\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "con el estilo de esas cosas, que por más difíciles que sean\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "las cosas a implementar, se vuelven tan fáciles como cualquier cosa\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "común de esos documentos, libros, estilos y hasta código fuente\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "hasta de nuestros propios programas y versiones de lenguajes,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "como si el mero hecho de usarlos fuera una herramienta tan invaluable\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "como las mejores herramientas, programas, educación y trucos que hemos inventado\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y recibido. <b>Es como si hubiera ciertas cosas, libros, programas, lenguajes\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de programación, sistemas operativos, etc., que son tan buenos, tan cuidadosamente\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "hechos, que nos dan acceso a la dimensión mental base que usan los que hicieron\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "esas cosas, y no solo el contenido sino que también la versión específica, objeto\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "específico por razones microscópicas de todo tipo. Los traumas también son así,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "solo que en vez de darnos acceso a una base mental brillante, nos dan\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "un acceso negativo, que nos daña dependiendo de la mente del trauma\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "que terminemos accediendo al traumarnos. Quienes nos ayudan también hasta\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "el límite y nos salvan la vida, como hizo mi amiga gata, también nos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "dan acceso a su base de dimensión de su mente y sus genes virtuales\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "si no los tenemos biológicamente.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);


  WriteBookFromProgram__TXT(SourceDoc, "Pero eso sí, tienen que ser cosas que cuando\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "las tenemos, simplemente sentimos que nos ayudan\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "a entender mejor que otras, por más pequeñas que estas\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "sean, aunque sea una palabra, idea, párrafo, acciones, horarios, lo que sea...\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Y tiene que ser para las cosas que sentimos que más nos ayuda,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "no para cualquier cosa al azar,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "para que puedan ayudarnos.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Tienen que ser cosas que realmente nos alimenten así de la nada\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "al usarlas, como por ejemplo la mente de PHP para darle documentación\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "extensiva a los programas que hacemos para darles forma de API y sistemas,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "la mente del libro de Visual Basic 4 de Anita Millspaugh y\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Julia Case Bradley para aprender a programar aunque un bichito\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "no sepa otro idioma ni sepa programar, usando las partes más\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "llamativas de ese libro, el libro de Ensamblador de Charte Ojeda\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "para extendernos en el aprendizaje, enseñanza y hacer libros para\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "ganar y hacer común la programación a ese nivel, la mente de MS-DOS,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Windows 98 y la PC para seguir desarrollando sistemas operativos propios,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "el formato de Programmer's Heaven para hacer nuestras descargas de código,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "clonar cosas como Turbo C++, Borland C++ con coloreado de sintaxis bonito.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Y esto se me ocurrió cuando estaba instalando Borland C++ 5.01\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y usando el formato de PHP de documentación, agregando soporte de\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "comentarios para ponerlo en la grabadora de texto,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "así que eso me estaba esperando, esos programas se estaban\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "cargando con esa información tenue desde ese entonces,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "tal vez por eso la nostalgia es tan querida, realmente\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "puede cargarnos cosas viejas para que al volver a usarlas\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "nos den ayuda increíble como esta, en este caso todo empezó\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "tratando de instalar Borland C++ 5.01 pero eso tuvo que haber\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "arrastrado el resto de cosas viejas, y eso me terminó dando\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "esta idea de mentes base y lo que me ha ayudado para usarlo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "trabajando el tipo de cosas en las que me ayudó a través de este acceso de mente base.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Creo que debería ver realmente las cosas que más me cuestan,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "acordarme o encontrar las cosas en que me han ayudado en esas\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "tareas, y buscar alguna forma de accesarlo por un lado, por otro\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de diferentes formas, para tener esa ayuda en las mismas cosas\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "hasta donde se pueda, o totalmente, si es que siempre fue algo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "basado en cosas, que todavía tenemos o podríamos volver a conseguir.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Creo que otra cosa que me ayudó es comer un día bien o otro no\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "comer nada, solo hidratarme, tomar vasos de jugo de toda una naranja,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "sueros. Eso creo que me está haciendo lavar las toxinas que tengo,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "usar nutrientes antiguos antes de que venzan/se envejezcan,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y deshacerme de peso y material que es demasiado, tanto como para\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "cansarme por tener que sostenerlo en el cuerpo en vez de estar como\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "antes, seco pero totalmente joven y saludable.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "También hacer una lista de las cosas que no hemos podido\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "aprender y los recursos que hemos usado, qué cosas nos han\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "confundido más, para empezar a darle forma a un camino que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "realmente nos resuelva aprender matemática, álgebra, física,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "electrónica, y también acordarnos cómo le hacíamos para tener\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "una energía interminable de desarrollo allá por el 2005-2007\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "para volver a usar cosas que de una u otra forma nos den acceso\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "a la base mental de lo que nos divertía y educaba para darnos tanto impulso.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Si peleamos para que algo nos ayude en algo como base mental\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de una mente secundaria a la nuestra, entonces no es genuino y\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "realmente no nos está ayudando, estamos peleando por usar un recurso\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "que por lo menos en ese momento no nos está dando el acceso\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "a la dimensión base de mente que queremos.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Deberíamos hacer una colección de lo que personalmente nos ayuda\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y en qué nos ayuda, para seguirlo usando.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Hasta inteligencia artificial podríamos hacer\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de esta forma, usando palabras, conceptos o entornos infinitos.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "que podamos avanzar pero solo donde haya actualmente más\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "experiencia para la tarea principal y metas a cumplir,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "solo con los recursos que hagan avanzar más a la experencia\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "del sistema.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Si un pensamiento no nos parece, simplemente es la base de dimensión\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de una mente, y simplemente tenemos que hacer de caso que es como alguien\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "interviniendo y si no nos parece, simplemente que siga ahí como los demás.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Sobarse contra cosas duras pero cubiertas de algo suave, como los apoyos de brazos de los sillones, el frente duro de las piernas con suavidad per frecuentemente para quitarse hasta el dolor de piernas, el dolor interno, problemas de circulación, ......\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Una cosa fuera del contexto para la que se hizo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "u ocurrió podría no significar nada fuera de este,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "o significar algo parcial, aproximado, que tiene\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "pequeñas variaciones entre lo original y lo usado.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Habría que inventar algo para cada microtarea para\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "no tener tanta descalibración al usar lo mismo para todo lo parecido.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "NEMORIZAR RECORDAR EN DIFERENTES NIVELES AL DESPERTARSE NO APAGAR BUENOS NIVELES Y BUSCAR TRUCOS PARA NUESTRO ESTADO MNENTYAL PARA COSAS COMO VENCER EL TEDIO EN CIERTOS ESTADOS AUNQUE SABEMOS QUE ES POR INANICI[ON DE INDFORMACI[ON, si no nos acoerdamos hasta cierto pubnto entonces estamos eno tro estado diferente tal vez con otras neuronas que las que se les ocurri[o.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Usar solo un dedo, acostados, con el teclado en el pecho\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "cerca de la cabeza. La intención es usar tan poco como podamos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "porque si tratamos de trabajar de una vez con lo que tenemos,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "gran parte de nuestro cuerpo quiere dormir para ir a meditar\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y quedarse trabajando solo con lo que nos resulte posible seguir avanzando,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "si podemos trabajar solo con una mano, entonces si trabajamos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "con más entraremos en conflicto entre descansar una parte\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y trabajar con otra, y entonces habrá tanta descoordinación de\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "diferentes secciones de nosotros mismos que vamos a tener\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "parálisis de indecisión. De ser posible con la mano menos hábil\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "para maximizar el descanso y que solo estén activas las\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "funciones que quieren hacer ese trabajo y saben qué hacer, no\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "el resto que podrían estar en otra cosa, así que siempre que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "trabajemos, si es que vemos que hay una parálisis de indecisión,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "lo que tenemos que hacer es buscar la forma de involucrar inicialmente\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "solo lo que quiera hacer esa acción, y que el resto del cuerpo y mente\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "se involucren gradualmente a medida se normalice y extienda esa tarea,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "probablemente cuando las otras partes del cuerpo terminen de meditar en alo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y ya estén listas para seguir trabajando normalmente.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "El resto del cuerpo menos esos dedos mantenerlo en posición\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y un estado puramente de descanso.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "A medida aprendemos más, nos volvemos más multiplexados\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de forma profunda e inadvertida, podemos trabajar solo con\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "un mínimo, el que quiere empezar con una tarea, y el resto\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "lo podemos ahorrar dejando que descanse y medite,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "hasta que este se quiera integrar a lo que estamos haciendo a\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "nivel purament consciente e intelectual. Sino, si realmente estamos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "altamente multiplexados y no enfocamos la acción a las partes\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "que la concibieron, habrá conflicto y nos bloquearemos con tedio.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "se nos haga posible, nos resulte posible\r\n", 0, 0, SourceDoc_DefaultMsgType);


  WriteBookFromProgram__C_Compiler(SourceDoc, "Entre más capas tiene un programa lejos de los tipos y lenguaje estándar, más atrapado\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "queda en una complejidad no estudiable si no\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "está documentada la estructura de esa complejidad, pero también\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "entre menos basados en OPCODEs de un gran CPU virtual a extender\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "estén, lo que hace toda esa riqueza de funciones no reusable.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "Un programa de C no debe tener advertencias\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "de compilación para que compile en todos lados.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "En C, un nivel de puntero * normalmente se usa para cadenas *char,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "y otro segundo nivel de puntero char ** como parámetro de función\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "es para darle acceso directo a la dirección de esa variable, no solo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "a su valor intrínsecamente independiente de la dirección de la variable que lo contenga.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "Si necesitamos pasar el valor de una variable char con\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "un carácter individual para que una función la modifique,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "tenemos que declararla como char * en el parámetro de la\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "función y entonces pasarle la variable char como\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "&mychar para agregar un nivel de puntero que lo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "convierta en *, lo que permitirá alcanzar no el valor\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "de byte, sino que la dirección de nuestra variable,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "y con eso podremos modificarla desde una función.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "char c;\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "OPCODE__Application_read_C_unsigned_char_byte_BinaryFile(Current_Source_File, &c);\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "printf("fdds fsdf   %c\n",c);\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);

  WriteBookFromProgram__TXT(SourceDoc, "Los gatos son entre otras cosas para ayudar a\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "a gente instantáneamente con los problemas más graves\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "cuando estos encuentran a quien deben por su cuenta, no consiguiéndolos uno, y también\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "para hacer que se aglomeren otros animales como aves\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "aunque estas no estén ahí originalmente, y hacer que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "vivan tan bien como para ser la raíz vital de esas especies\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "en ese lugar.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "La pregunta es para qué servimos los humanos realmente,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "porque por ahora estamos sin producir mucho, y eso nos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "da problemas para vivir bien y también al resto del planeta,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "plantas y animales. Yo solo sé que tenemos que lograr hacer\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "lo que más nos gusta para aprender, pasar jugando divirtiéndonos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "desarrollando y creando cosas, pero eso implica tener que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "vivir y poderse sostener con las necesidades artificiales del\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "dinero y otras similares, con tiempos muchísimo más tardados\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "que los que simplemente hacen las cosas para suplir esas necesidades\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "artificiales porque sino nadie los va a ayudar para que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "puedan hacer libremente lo que más les gusta en la vida.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Tal vez esa es la meta final por lo menos para esta etapa de\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "la humanidad, pero siempre será raíz, lograr hacer lo que más\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "nos gusta, y para eso tenemos que lograr que se den cosas como\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "llenar países enteros con árboles y plantas de comida, no solo plantas\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "sin fruta. Poner información gratis, y cosas más complicadas también\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "gratis, como conseguir materiales de alguna forma, procesarlos para\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "hacer cosas como celdas solares y baterías para tener energía gratis,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y así, hasta que todo lo que se necesite sea gratis, y así podamos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "realmente soltarnos de tener que hacer cosas artificiales, para\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Internet y cosas que necesitan siempre dinero sería más difícil,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "tendríamos que ganar con lo que hacemos, pero tenemos que empezar\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "haciendo aunque sea unas 2 cosas, comida e información, totalmente\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "gratuitas, y avanzar desde ahí, con todo lo que tenemos.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Debería darle un tiempo a aprender cosas como sistema pero\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de mí mismo.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Ai que quede el contenido viejo desordenado,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "ya después vamos a hacer otras capas más ordenadas\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "pero eso va a dejar bien clara la estructura que tuvimos,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "como nuestro ambiente mental, que podríamos hasta registrar\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "cronológicamente.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Productos con fotos de libros y CD-ROMs\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "para venderlos rápido.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Pelear contra el bloqueo como si fuera un idividuo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "(¿caricatura, invisible, fantasma......?), concentrarme en una\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "única tarea multiplexada en varias secciones de mi cuerpo y mente,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "Puedo usar el código del compilador de C como\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "un buscador y analizador gradual de código... busco una\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "función, después un bloque específico, hasta buscar\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "expresiones regulares sobre la lógica, no sobre\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "el texto, para ver si entendemos a nivel humano, para navegar\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "más inteligentemente, y ver si no hay cambios importantes en\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "el código que hemos estudiado como para que ya no pegue con lo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "que esperábamos encontrar, si no lo encontramos en ningún lado es porque ya cambió.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "Usar marcadores z-z seguidas en el punto principal actual\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "y otro punto que estemos <small><small>trabajando/</small></small>leyendo actualmente\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "para mantener el código enfocado.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Cada vez que tengamos tareas o cosas que desarrollar,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "cuando no hallemos qué hacer, necesitamos hacer esquemas,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "documentación y reenfocar todo lo que tenemos disponible a ese\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "nivel, y la mejor forma de dar ese paso para que todo quede\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "bien implementado. Necesitamos reestudiar la estructura de lo que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "está en esa tarea y ese nivel, y entender qué estructurá\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "sería la más simple para implementar esa tarea, SIEMPRE TRATANDO\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "DE COPIAR NUESTRA INTELIGENCIA NATURAL, QUE ES LO QUE NORMALMENTE MÁS\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "NOS AYUDA POR TENER MÁS ACCESO SIN ESFUERZO A COMPLETAR TAREAS MANUALMENTE,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "que podríamos copiar si entramos en la dimensión base de nuestra\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "propia mente en ese aspecto, como recurso brillante de ayuda\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "sobre cómo hacer eso... esforzarse para ver cómo podríamos implementar\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "nuestra propia inteligencia, cómo funciona, hasta de forma recursiva\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "entrando en nuestras propias dimensiones de mente base, como un\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "elemento que también robustezca el acceso a las ideas que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "tenemos cuando estamos entre diferentes componentes diferentes\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "al estar durmiendo, y que tenemos que mantener entre diferentes\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "estados mentales al azar, de vigilia y sueño.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Creo que es una forma baratísima de profundizar en mi\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "creatividad, mi mente, mis propias ideas y pensamientos,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "cuando estoy haciendo cosas de complejidad inusual.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Solo es de ver todo a través de la ayuda que me ha dado\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "el copiar mi lógica mental en un programa y trabajar a través\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de eso para ver todo claro, como si mi cerebro fuera un\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "autolibro infinito de implementaciones.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "yt.setConfig({ 'GUIDED_HELP_LOCALE': "es_ES", 'GUIDED_HELP_ENVIRONMENT': "prod" }); \r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "Cuando fui al ITCA, ya iba con capacidad de Ensamblador\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "porque hacía todo lo hacía simple y rápido, igual que me doy\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "cuenta ahora, que me va mejor pensar como Ensamblador, como si\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "fueran extensiones del CPU x86 para que un sistema operativo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "use en Ring 0, donde todo tiene complejidad pero es breve y\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "tiene que batirse con muy pocos registros programables para\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "hacer cosas complejísimas... con esa forma de hacer las cosas\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "sobrepaso muchas capas que me tocaría diseñar innecesariamente\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "y puedo hacer las cosas más flexibles y breves, a nivel de\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "OPCODEs reusables, que le dan forma efectiva al programa como\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "sistema y CPU/opcodes cuando dichas instrucciones se van\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "categorizando por funciones que generan subsistemas\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "y administradores de forma intrínseca, solo de usar\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "cooperativamente entre sí, da el mismo bajo nivel\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "pero la misma reducción de tamaño y simplificación\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "a un programa, y la capacidad, complejidad y funciones\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "del programa internamente y para el usuario solo dependen\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "del tamaño, complejidad, extensión y variedad\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "de los opcodes que agreguemos constantemente,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "como un súper CPU, como un CPU de bajo nivel\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "pero ultra poderoso, capaz de hacer todo lo que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "hacen todos los programas existentes, conteniéndolos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "a todos en forma de opcodes reusables de forma\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "retrocompatible a lo largo de todas las décadas.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "Así hasta a los microcontroladores les podría\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "poner instrucciones x86.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "Lo que necesita la gente es que les pueda explicar\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "cosas cotidianas con el tipo de cosas que entiendo,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "así que esa es otra meta de la capacidad de computación que tengo,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "hacer inmediatamente simple y accesible todo lo que se puede\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "hacer a nivel de OPCODEs humanos que, igual que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "el spam humano está escrito y dirigido por humanos,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "pero es negativo en que es extremadamente efectivo para\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "distraer a todos y ponerles peso extremo en su nivel de\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "acciones de implementación, también usan solo el lenguaje\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "y tareas que son lógicas para avanzar en una situación,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "lenguaje totalmente humano, pero limpio como las instrucciones\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "de un CPU.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "Lo que veo es que siempre me detengo por confusión\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "pero siempre que empiezo, empiezo por desenmarañar esa\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "confusión, así que eso es lo primero a resolver siempre,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "con o sin energía.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "Pero si me pongo a desenmarañar la confusión, no\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "hasta que estoy descansado después de varios días\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "sino que después de trabajar, va a hacer que se nos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "vuelva el doble de fácil seguir con claridad si lo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "hacemos sostenidamente. En vez de hacerle caso al tedio\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "basado en el apuro de cosas que al fin de cuentas no están\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "resolviendo absolutamente nada como nosotros, la enorme\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "mayoría de recursos que podemos encontrar ahora,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "podemos sumergirnos en la tranquilidad que está ahí\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "que podemos sentir simplemente al hacer lo que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "queremos para desarrollar cosas. Algo en ese esfuero\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "parece poder protegernos y permitirnos seguir en eso\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "un tiempo indefinido, así que solo tenemos que seguir\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "haciendo nuestras cosas sin apuro, solo disfrutar\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "todo lo que se nos vaya ocurriendo, realmente\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "absolutamente nadani nadie nos puede distraer, ni el tedio\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "es razón real para dejar de hacer lo que más nos gusta,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "el cansancio solo es eso, igual que con cualquier otra\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "actividad, es común a todo, es solo una necesidad de\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "descansar, no tiene por qué tratar de espantarnos si\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "igual nos cansaríamos en otras actividades simples o complejas,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "solo tenemos que seguir disfrutando lo que hay que hacer,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "lo que hemos logrado y vamos a hacer, disfrutar cómo podemos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "resolver cualquier problema y que tenemos absolutamente\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "todo el tiempo libre para concentrarnos y simplemente\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "hacer lo que nos gusta.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "El jalón artificial del tiempo contra la dificultad\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "y todo lo que todos los demás que existen sabe hacer\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "no tiene por qué darnos parálisis de indecisión si\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "las ideas de desarrollo empezamos a hacer siempre\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "con las partes de nosotros a las que se les ocurrió,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "como unos pocos dedos, el cuello, ojos, regiones\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "de neuronas, y dejar que se extienda poco a poco\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "ya que con eso no va a haber detención entre\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "partes en ocio y las partes que ya tienen todo para\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "estar trabajando.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "I managed to create a GIF decoder with this book as a really big inspiration. I also used a lot of information sources about LZW, but without this book I would probably had been too dull to implement that in a few months. This book is excellent buy you have to have the implementation of a file format in mind. It contains the specifications of all formats, the authors went personally to the workplaces of the creators of each file format to get the specifications years ago..\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "The other book that is as good as this is "Compressed Image File Formats" by John Miano.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "This book is just about listing a lot of existing file formats, include the specifications or any information about them if they were available, and a CD-ROM that can be downloaded from O'Reilly and the Archive.org, but that should also come with the book.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Nowadays, no known books will talk about file formats or other rare information like these ones in one single place, although you can still search for file formats around the web and from thorough learning from existing source code, but it still feels easier to understand with this book.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Pasar un tiempo haciendo la lista de videos de\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "los libros que tenemos, no solo como vista previa\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "sino que para que tengamos un catálogo fácil de revisar\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "en todo momento, y veamos bien qué tenemos y qué no,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "que se hace necesario después de tantos años\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de consegur muchos libros.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Usar todo lo que nos rodea como canales mentales\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de dimensiones base de otras mentes, así cuando\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "encontremos algo a través de lo que nos resulte más\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "fácil trabajar imitando el 100% menos los detalles\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "funcionales que queremos, nos va a salir más fácil,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "como platicar con todo lo que nos rodea a ese nivel\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de lo que estamos haciendo para que sos ayude de\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "anguan forma\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "Quedarse viendo los programas hasta que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "entendamos de repente los trucos, también\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "agregarles SourceDocs, comentarios, un\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "directorio OPCODE para.........\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "ponerlos en subdirectorios de categorías\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "y así tratar de agregar de código normal a opcodes.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "Darles buen nombre a esos opcodes, escribirlos solo en\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "C estándar simple o Ensamblador, hasta hacer una\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "serie de videos que los expliquen. En vez de cambiar\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "funciones entre versiones, mejor averiguar a nivel\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "funcional en qué cambian, y hacer versiones\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "con número/fecha comentada pero también con\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "nombre específico de Opcode.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "Puede haber tantos Opcodes que hasta sea más fácil\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "ponerles nombres en el idioma human en el que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "tenga más sentido.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "Un número de versión puede enmascarar bien\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "el numero de versión de fecha.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "Hacer eso hasta con nuestros propios programas,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "traducirlos, simplificar el código, hacer un\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "documento de tipo manual (fácil como PHP)\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "o referencia de API (más complejo, alejado del objetivo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "final como la WinAPI). Hasta nos puede servir\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "para traducir el código a la traducción humana del\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "código para que no nos cueste oírlo y parezca una\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "clase, en vez de traducirlo a Ensamblador. Solo es\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "ya nos serviría para practicar generar código para\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "más de una plataforma.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__C_Compiler(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Depende de lo que le echemos al galón de pipí,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "antes y después, por ejemplo cuando la botella\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "está nueva, echarle agua cristal al fondo, no tan\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "poquita, para que el pipí que echemos esté más fresco,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y así, depende de lo que le echemos así se va a sentir\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "el ambiente, tal vez por el efecto de asco a cosas\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de desecho y el de satisfacción por hacer que esos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "desechos estén siempre más frescos de lo que deberían,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "entonces ese efecto es tan fuerte que nos afecta\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "el estado general, y así si hay cosas pseudofantasmas\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "seguramente es porque algo nos desagrada con esos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "efectos.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Todavía tengo que averiguar qué me hace daño comer\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "que me daña la piel, para dejar de comer eso o ver\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "cómo resolverlo.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Agregar todos los archivos raros de eMule a nuestro\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "servidor para promover que vuelvan cosas viejas.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Y tratar de solo tener los mejores archivos. Los\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "misceláneos, moverlos a otro directorio.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Son cosas con las que probablemente podría contribuir\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "para que haya más información gratis. Tal vez cosas\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "como esa que no tienen mucha relación popular con\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "los sitios web en \"zonas empresariales de películas\"\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "no tengan tanto problema como los archivos que se pueden\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "bajar masivamente en páginas web, el límite parecen ser\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "los torrents, pero de eMule para abajo (Tor, Usenet)\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "parece que a nadie le importa lo que haya ahí.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Si me meto en la mente base de cuando no estoy\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "pensando nada en particular para analizarla y ver\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "dónde estoy, y después me olvido totalmente de eso\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y de los demás pasos mientras lleve a cabo la ejecución\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "humana de una tarea, entonces puedo ver dónde estoy en el\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "mapa completo y darme a entender más conmigo mismo,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "si también envío señales mentales al resto de mí que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "está descansando para que sepan dónde estoy en ese\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "momento concentrado, qué parte de mí está haciendo y qué\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "es lo que estoy haciendo para que cada vez todos mis\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "componentes me apoyen más por sus propias cuentas igual\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de divertidos que yo y entusiasmados en lo que siempre me\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "gustó simplemente como yo y ya, pero que entre más difícil\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "es más fácil de distraer y fragmentar en una misma persona.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "simún lemus\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "neu.edu/uc\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "a.i. opcodes\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "health is the limit of disease energy\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "el símbolo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "multiplex, search for tasks, the best, the most practical, concentrarse y avanzar en cada paso de una tarea, en varias tareas a medida apareacan, que tengan lo mejor de lo que querés aprender\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Memorizar cosas y ejecutar tareas a través de recuerdos, buscar así los medios más prácticos, cercanos, memorizables, completos, ejecutables.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "¿Dónde aprendió Terminator a actuar?\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Resolver un problema en el mismo medio donde se da es destructuvo como un antivirus defensivo.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "No hay que ser ofensivo ni defensivo, hay que ser productivo.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Aprender con mnemónicos pero no al azar sino que agreguen\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "más información clave real de forma sorprendentemente obvia.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Pasar una semana sin el esfuerzo mental, hacer otras\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "cosas productivas pero siempre y cuando tengamos problemas\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de salud físicos o confusión por enfermedad/debilidad.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Vamos a ver si con una semana de no gastar energía pensando\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "nos curamos del todo y logramos reimpulsarnos, pero podríamos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "comprar o vender cosas. Es una técnica extremadamente simple\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "que ya casi no he usado, el soltar el esfuerzo totalmente y\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "retomarlo poco a poco según el cuerpo, mente y deseos me\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "lo pidan con total naturalidad. Así que es posible que\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "si paso todo el tiempo sin agarrar las tareas de forma\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "pesada sino que simplemente dejo que se me ocurran y me\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "lleguen poco a poco con entusiasmo, como hacía allá en el\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "2004-2007, me resulte totalmente fácil.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Lo que creo que decía en esa época era \"a ver\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "cuánto logro avanzar esta semana\", en vez de ponerme\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "una meta rígida en ese tiempo (para eso me sirven más los\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "ciclos de trabajo y proyectos anuales), y por lo menos el entusiasmo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "no se me acababa nunca.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Lo otro que hacía es que no perdía tiempo ni energía\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "participando en foros como OSDev.org u otros altamente técnicos,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y solo decía \"voy a ver cómo funciona esto\", no pensaba en\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "dominarlo tan fácil, y solo me centraba en buscar\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "información que me resultara inmediatamente útil,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "no me gastaba en tratar de forzar directamente\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "en tratar de lograr algo, y si lo hacía, lo hacía\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "lo más rápido posible pero bien pensado con mis propios formatos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "porque tenía toda esa energía extra.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Así que me va a servir practicar ver código propio y ajeno\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "sin hacer esfuerzo para que deje de darme una sensación\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de desgaste condicionada después de tanta confusión,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "aprendizaje, empezar desde cero, que son cosas que tengo\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "que limpiar y descansar para poder volver a manejarlas como desde\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "el principio, disfrutando sin que se me acabe la energía,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "el avance ni el entusiasmo.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Además eso es lo que más necesita en mí obtener energía,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "que lo pase curando, recalibrando, puliendo, probando nuevos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "modos de pensamiento y de estados mentales.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "La única energía que usaba como estado mental era\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "la que sentía cuando estaba en vacaciones, cuando\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "era el 2004-2007 y antes, como cuando estaba el periquito\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y todos los animales en la mañana, nosotros chiquitos,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y así no me desgastaba si decía algo en uno que otro foro.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "voy a ver quiero ver\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Uno puede hacer las cosas súper caras\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "o totalmente gratis, así como me toca a la gente\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de mi tipo, que parece irle mal si no busca\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "lo que realmente le gusta y lo pone gratis,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "disfrutando lo que hace.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Empezar a darle forma real a la base de datos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de idiomas humanos en este archivo, agregarle algunas\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "palabras, usar el primer formato que se nos ocurra,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y subirlo a YouTube/SourceForge.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Tengo que investigar más las cosas como de caridad\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y sin fines de lucro porque en principio parecen ser\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "iguales que yo.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Más que presumir o ser exhibicionista, se trata\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "de una forma natural de dar a entender los resultados\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "finales que hemos obtenido, obviamente entre más en contexto estén,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "más les van a ayudar a todos a por lo menos decidir\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "qué hacer y cómo hacerlo. Se siente bien porque de verdad\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "ayuda si nos ponemos a pensar bien en lo que nos están \"presumiendo\"\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "No comer, comer menos, antes y después de ejercicio pesado.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Eso hará que no se formen muchas toxinas ni ácido láctico,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y el que se forme se reusará rápido. Salir a caminar bien\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "hidratado y con suero, no solo agua, pero bañarse primero\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "totalmente con agua helada y con el calzoncillo de mejor tela\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y menos apretado que tengamos, eso hará que en el sudor despidamos\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "cualquier cosa que nos esté afectando, como mínimo en la cara, cabeza,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "y entrepierna, y deshacernos de ese sudor con sustancias\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "especialmente tóxicas, ácidas y fermentadas hará que nos curemos,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "solo tenemos que volver a bañarnos al siguiente día o tan pronto\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "como podamos y eso va a  hacer que quedemos totalmente desintoxicados,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "con la dieta de comer un día sí y un día no, y de salir a caminar\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "aseados para regular el pH de la capa externa del cuerpo.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "Pero para que me resulte más saludable necesito ir a tirar anuncios,\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "pero sobre todo a dejar paquetes al correo y después ir a pasear\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "adonde quiera para sudar lo suficiente y sentirme saludable.\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__TXT(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);







  ////END:  This is where the actual content of this book starts
  ////END:  This is where the actual content of this book starts
  ////END:  This is where the actual content of this book starts
  ////END:  This is where the actual content of this book starts
  ////END:  This is where the actual content of this book starts
  ////END:  This is where the actual content of this book starts
  ////END:  This is where the actual content of this book starts
  ////END:  This is where the actual content of this book starts
  WriteBookFromProgram__SourceDocSkeleton(SourceDoc, "EOF", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__SourceDocSkeleton(SourceDoc, "</pre>", 0, 0, SourceDoc_DefaultMsgType);






  WriteBookFromProgram__SourceDocSkeleton(SourceDoc, "</body>\r\n", 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__SourceDocSkeleton(SourceDoc, "</html>\r\n", 0, 0, SourceDoc_DefaultMsgType);


  OPCODE__Application_Close_Local_File(SourceDoc);




  //This is to open our generated HTML file
  //with the default program registered to open
  //HTML files:
  ///
   if(SourceDoc_enableAutoOpen==1 && SourceDoc_DefaultMsgType!=2)
   ShellExecuteW(
                 (HWND)0,
                 (LPCWSTR)"o\0p\0e\0n\0\0\0",
                 (LPCWSTR)"C\0:\0\\\0W\0I\0N\0D\0O\0W\0S\0\\\0e\0x\0p\0l\0o\0r\0e\0r\0.\0e\0x\0e\0\0",
                 (LPCWSTR)"\x32\0\x30\0\x31\0\x38\0-\0\x30\0\x31\0-\0\x32\0\x34\0-\0-\0F\0U\0L\0L\0-\0M\0E\0N\0T\0A\0L\0-\0S\0T\0R\0E\0A\0M\0-\0\x30\0\x30\0\x30\0\x30\0.\0h\0t\0m\0\0",
                 (LPCWSTR)NULL,
                 (INT)0
                );
/*
*/






 return 0;
}















































long OPCODE__Application_write_C_unsigned_char_buffer_BinaryFile(FILE *srcfilehandle, unsigned char *charvalue, unsigned long length)
{
 return fwrite(charvalue, 1, length, srcfilehandle);
}









unsigned long OPCODE__Compiler_ASCII_7bit_getStringLengthFrom_unsigned_long(unsigned long num, unsigned short base)
{
 unsigned long x=0,len=0;

 //Count the length of the number string
 //that will be generated, except the ASCIIZ character:
 ///
  if(num==0)x=1;  //If the number is 0, it will always have a string length of 1 for '0'.
  while(num!=0)
  {
   x++;
   num=(num/base);
  }
  len=x;

 return len;
}




int OPCODE__Application_write_C_long_BinaryFile(FILE *srcfilehandle, long longvalue)
{
 if(fwrite(&longvalue, sizeof(long), 1, srcfilehandle)==1)return 1; //If this returns !=1, there was an error.
 return 0;
}





unsigned char *OPCODE__Compiler_ASCII_7bit_unsigned_long_to_string(unsigned long num, unsigned short base)
{
 unsigned long toRet_len=0;
 unsigned char *toRet=NULL;
 unsigned char tmpval=0;
 unsigned long x=0,len=0;

 unsigned char tmpchar0='\0',tmpchar1='\0';
 unsigned long tmpchar0idx=0,tmpchar1idx=0;


 toRet_len=OPCODE__Compiler_ASCII_7bit_getStringLengthFrom_unsigned_long(num,base)+1;
 toRet=malloc(toRet_len);



 //Generate the number string:
 ///
  if(num==0)
  {
   //If the number is 0, it will always have a string length of 1 for '0':
   ///
    toRet[x++]='0';
  }
  while(num!=0)
  {
   tmpval=(num%base);
   if(tmpval>9)tmpval=COMPILER_numbases_letters_array_uppercase[tmpval];
   else tmpval+='0';

   //Store the next character in the number string,
   //but only if the string is withing the size
   //we allocated initially, or we will cause
   //access violations in lower-level languages
   //such as C or C++:
   ///
    if(x<toRet_len)toRet[x++]=tmpval;


   num=(num/base)|0;
  }
  len=x;



 //Reverse the number string because
 //it is always generated backwards:
 ///
  tmpchar0idx=0;
  tmpchar1idx=len-1;
  x=0;
  while(x<len)
  {
   tmpchar0=toRet[tmpchar1idx];
   tmpchar1=toRet[tmpchar0idx];
   toRet[tmpchar0idx]=tmpchar0;
   toRet[tmpchar1idx]=tmpchar1;



   //Update reversion and length indexes
   //for the loop:
   ///
    tmpchar0idx++;
    tmpchar1idx--;
    x++;



   //This is to break if we have reached
   //the middle character or if the offsets
   //to reverse the lower and higher characters
   //have become reversed beyond their intended
   //limits; otherwise we would
   //revert the string back to its original:
   ///
    if(tmpchar0idx>=tmpchar1idx)break;
  }


 toRet[toRet_len-1]='\0';
 return toRet;
}








int OPCODE__Compiler_Print_ASCII_7bit_String(char *str)
{
 printf("%s", str);


 return 1; //TRUE -- success (allocating/writing string to the console...).
}


int OPCODE__Compiler_Print_ASCII_7bit_C_long_HexString(long value)
{
 printf("%lx", value);


 return 1; //TRUE -- success (allocating/writing string to the console...).
}


int OPCODE__Compiler_Println_ASCII_7bit_String(char *str)
{
 printf("%s\n", str);


 return 1; //TRUE -- success (allocating/writing string to the console...).
}



















FILE * OPCODE__Application_open_Local_ReadOnly_ASCII_7bit_Name_BinaryFile(char *file_name)
{
 FILE *toRet=NULL;

 //void WriteBookFromProgram(FILE *bookFileHandle, char *message, long messageSize, int indent, long messageType)
 ///
  WriteBookFromProgram__DEBUG(SourceDoc, "Opening existing file \"", 0, SourceDoc_indent, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__DEBUG(SourceDoc, file_name, 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__DEBUG(SourceDoc, "\" in rb mode...\r\n", 0, 0, SourceDoc_DefaultMsgType);

 toRet=fopen(file_name,"rb");
 SourceDoc_if(toRet==NULL)
 {
  //void WriteBookFromProgram(FILE *bookFileHandle, char *message, long messageSize, int indent, long messageType)
  ///
   WriteBookFromProgram__DEBUG(SourceDoc, "<font color=\"red\">ERROR: OPCODE__Application_open_Local_ReadOnly_ASCII_7bit_Name_BinaryFile:\r\n", 0, SourceDoc_indent, SourceDoc_DefaultMsgType);
   WriteBookFromProgram__DEBUG(SourceDoc, "Failed opening file ", 0, SourceDoc_indent, SourceDoc_DefaultMsgType);
   WriteBookFromProgram__DEBUG(SourceDoc, file_name, 0, SourceDoc_indent, SourceDoc_DefaultMsgType);
   WriteBookFromProgram__DEBUG(SourceDoc, " in rb+ mode.</font>\r\n", 0, SourceDoc_indent, SourceDoc_DefaultMsgType);
 }



 //void WriteBookFromProgram(FILE *bookFileHandle, char *message, long messageSize, int indent, long messageType)
 ///
  SourceDoc_if(toRet!=NULL)
   WriteBookFromProgram__DEBUG(SourceDoc, "Returning the valid file handle...\r\n\r\n", 0, SourceDoc_indent, SourceDoc_DefaultMsgType);
  SourceDoc_else
   WriteBookFromProgram__DEBUG(SourceDoc, "<font color=\"red\">Returning the invalid file handle...</font>\r\n\r\n", 0, SourceDoc_indent, SourceDoc_DefaultMsgType);



 return toRet;
}


FILE * OPCODE__Application_open_Local_ReadWrite_ASCII_7bit_Name_BinaryFile(char *file_name)
{
 return fopen(file_name,"wb+");
}


FILE * OPCODE__Application_open_existing_Local_ReadWrite_ASCII_7bit_Name_BinaryFile(char *file_name)
{
 FILE *toRet;



 //Our intention here is to open an existing file
 //without erasing its existing contents
 //so that we can randomly read/write to it.
 //
 //Here we try to reopen an existing file for random
 //reads/writes. If it doesn't exist, if it fails in "rb+"
 //mode to try to reopen the existing file, we will try
 //to open it in "wb+" mode to create it if it doesn't exist.
 //We must be careful when using this OPCODE function because if
 //the file exists but fails to open, it could get rid
 //of valuable contents, as when Notepad++ fails and suddenly closes,
 //losing the file and leaving an exact backup if we are lucky,
 //but we can never really know, so we should also make backups when
 //editing our most valuable files:
 ///
 //void WriteBookFromProgram(FILE *bookFileHandle, char *message, long messageSize, int indent, long messageType)
 ///
  WriteBookFromProgram__DEBUG(SourceDoc, "Reopening existing file \"", 0, SourceDoc_indent, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__DEBUG(SourceDoc, file_name, 0, 0, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__DEBUG(SourceDoc, "\" in rb+ mode to avoid erasing contents...\n", 0, 0, SourceDoc_DefaultMsgType);

  toRet=fopen(file_name,"rb+");
 //void WriteBookFromProgram(FILE *bookFileHandle, char *message, long messageSize, int indent, long messageType)
 //void WriteBookFromProgram_unsigned_long(FILE *bookFileHandle, unsigned long value, unsigned short base, int indent, long messageType)
 ///
  WriteBookFromProgram__DEBUG(SourceDoc, "The file handle contains ", 0, SourceDoc_indent, SourceDoc_DefaultMsgType);
  WriteBookFromProgram__DEBUG_unsigned_long(SourceDoc, (unsigned long)toRet, 10, 0, SourceDoc_DefaultMsgType);
  if(toRet!=NULL)
  {
   WriteBookFromProgram__DEBUG(SourceDoc, " (success).", 0, 0, SourceDoc_DefaultMsgType);
  }
   SourceDoc_else WriteBookFromProgram__DEBUG(SourceDoc, " <font color=\"orange\"><b>(failed)</b></font>.", 0, 0, SourceDoc_DefaultMsgType);
   WriteBookFromProgram__DEBUG(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);

  if(toRet==NULL)
  {
   toRet=fopen(file_name,"wb+");

   //void WriteBookFromProgram(FILE *bookFileHandle, char *message, long messageSize, int indent, long messageType)
   //void WriteBookFromProgram_unsigned_long(FILE *bookFileHandle, unsigned long value, unsigned short base, int indent, long messageType)
   ///
    WriteBookFromProgram__DEBUG(SourceDoc, "Couldn't open existing file (doesn't exist)...\r\n", 0, SourceDoc_indent, SourceDoc_DefaultMsgType);
    WriteBookFromProgram__DEBUG(SourceDoc, "Creating \"", 0, SourceDoc_indent, SourceDoc_DefaultMsgType);
    WriteBookFromProgram__DEBUG(SourceDoc, file_name, 0, 0, SourceDoc_DefaultMsgType);
    WriteBookFromProgram__DEBUG(SourceDoc, "\" in wb+ mode...\r\n", 0, 0, SourceDoc_DefaultMsgType);
    WriteBookFromProgram__DEBUG(SourceDoc, "The file handle contains ", 0, SourceDoc_indent, SourceDoc_DefaultMsgType);
    WriteBookFromProgram__DEBUG_unsigned_long(SourceDoc, (unsigned long)toRet, 10, 0, SourceDoc_DefaultMsgType);
    if(toRet!=NULL)
    {
     WriteBookFromProgram__DEBUG(SourceDoc, " (success).", 0, 0, SourceDoc_DefaultMsgType);
	}
     SourceDoc_else WriteBookFromProgram__DEBUG(SourceDoc, " <font color=\"red\">(failed)</font>.", 0, 0, SourceDoc_DefaultMsgType);
    WriteBookFromProgram__DEBUG(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);



   if(toRet!=NULL)
   {
    //void WriteBookFromProgram(FILE *bookFileHandle, char *message, long messageSize, int indent, long messageType)
    //void WriteBookFromProgram_unsigned_long(FILE *bookFileHandle, unsigned long value, unsigned short base, int indent, long messageType)
    ///
     WriteBookFromProgram__DEBUG(SourceDoc, "Closing \"", 0, SourceDoc_indent, SourceDoc_DefaultMsgType);
     WriteBookFromProgram__DEBUG(SourceDoc, file_name, 0, 0, SourceDoc_DefaultMsgType);
     WriteBookFromProgram__DEBUG(SourceDoc, "\" that we just created with wb+ to reopen\r\n", 0, 0, SourceDoc_DefaultMsgType);
     WriteBookFromProgram__DEBUG(SourceDoc, "in random read/write rb+ mode.\r\n", 0, SourceDoc_indent, SourceDoc_DefaultMsgType);
    fclose(toRet);
   }

   toRet=fopen(file_name,"rb+");
   //void WriteBookFromProgram(FILE *bookFileHandle, char *message, long messageSize, int indent, long messageType)
   ///
    WriteBookFromProgram__DEBUG(SourceDoc, "Reopening existing file \"", 0, SourceDoc_indent, SourceDoc_DefaultMsgType);
    WriteBookFromProgram__DEBUG(SourceDoc, file_name, 0, 0, SourceDoc_DefaultMsgType);
    WriteBookFromProgram__DEBUG(SourceDoc, "\" in rb+ mode to avoid erasing contents...\n", 0, 0, SourceDoc_DefaultMsgType);

   //void WriteBookFromProgram(FILE *bookFileHandle, char *message, long messageSize, int indent, long messageType)
   //void WriteBookFromProgram_unsigned_long(FILE *bookFileHandle, unsigned long value, unsigned short base, int indent, long messageType)
   ///
    WriteBookFromProgram__DEBUG(SourceDoc, "The file handle contains ", 0, SourceDoc_indent, SourceDoc_DefaultMsgType);
    WriteBookFromProgram__DEBUG_unsigned_long(SourceDoc, (unsigned long)toRet, 10, 0, SourceDoc_DefaultMsgType);
    if(toRet!=NULL)
    {
     WriteBookFromProgram__DEBUG(SourceDoc, " (success).", 0, 0, SourceDoc_DefaultMsgType);
	}
     SourceDoc_else WriteBookFromProgram__DEBUG(SourceDoc, " <font color=\"red\">(failed)</font>.", 0, 0, SourceDoc_DefaultMsgType);
    WriteBookFromProgram__DEBUG(SourceDoc, "\r\n", 0, 0, SourceDoc_DefaultMsgType);
  }
   else
   {
    //void WriteBookFromProgram(FILE *bookFileHandle, char *message, long messageSize, int indent, long messageType)
    ///
     WriteBookFromProgram__DEBUG(SourceDoc, "Reopened file \"", 0, SourceDoc_indent, SourceDoc_DefaultMsgType);
     WriteBookFromProgram__DEBUG(SourceDoc, file_name, 0, 0, SourceDoc_DefaultMsgType);
     WriteBookFromProgram__DEBUG(SourceDoc, "\" in rb+ mode.\r\n", 0, 0, SourceDoc_DefaultMsgType);
   }

  if(fseek(toRet, 0, SEEK_SET)!=0)
  {
   //void WriteBookFromProgram(FILE *bookFileHandle, char *message, long messageSize, int indent, long messageType)
   ///
    WriteBookFromProgram__DEBUG(SourceDoc, "<font color=\"red\">Failed to seek back \"", 0, SourceDoc_indent, SourceDoc_DefaultMsgType);
    WriteBookFromProgram__DEBUG(SourceDoc, file_name, 0, 0, SourceDoc_DefaultMsgType);
    WriteBookFromProgram__DEBUG(SourceDoc, "\" to 0: OPCODE__Application_open_existing_Local_ReadWrite_ASCII_7bit_Name_BinaryFile</font>\r\n", 0, 0, SourceDoc_DefaultMsgType);
  }



 //void WriteBookFromProgram(FILE *bookFileHandle, char *message, long messageSize, int indent, long messageType)
 ///
  SourceDoc_if(toRet!=NULL)
   WriteBookFromProgram__DEBUG(SourceDoc, "Returning the valid file handle...\r\n\r\n", 0, SourceDoc_indent, SourceDoc_DefaultMsgType);
  SourceDoc_else
   WriteBookFromProgram__DEBUG(SourceDoc, "<font color=\"red\">Returning the invalid file handle...</font>\r\n\r\n", 0, SourceDoc_indent, SourceDoc_DefaultMsgType);



  return toRet;
}










void OPCODE__Application_Close_Local_File(FILE *filehandle)
{
 fclose(filehandle);
}





















#if IS_TUTORIAL==1

void WriteBookFromProgram(FILE *bookFileHandle, char *message, long messageSize, int indent, long messageType)
{
 if(SourceDoc_disabled)return;



 if(messageType==0)  //Normal text strings
 {
  OPCODE__Application_write_C_unsigned_char_buffer_BinaryFile(bookFileHandle, message, messageSize);
 }
  else if(messageType==1)  //Normal text strings
  {
   while(indent--)
   {
    OPCODE__Application_write_C_unsigned_char_buffer_BinaryFile(bookFileHandle, " ", 1);
   }
   OPCODE__Application_write_C_unsigned_char_buffer_BinaryFile(bookFileHandle, message, strlen(message));
  }
   else if(messageType==2)  //Use plain printf, for example, for CGI output
   {
    printf("%s",message);
   }
}


void WriteBookFromProgram_unsigned_long(FILE *bookFileHandle, unsigned long value, unsigned short base, int indent, long messageType)
{
 long value_len=0;
 char *numstr=NULL;



 if(SourceDoc_disabled)return;

 value_len=OPCODE__Compiler_ASCII_7bit_getStringLengthFrom_unsigned_long(value, base);
 numstr=malloc(value_len+1);
 memset(numstr,0,value_len+1);


 if(messageType==0)  //Binary unsigned long
 {
  OPCODE__Application_write_C_long_BinaryFile(bookFileHandle, value);
 }
  else if(messageType==1)  //Normal text strings
  {
   while(indent--)
   {
    OPCODE__Application_write_C_unsigned_char_buffer_BinaryFile(bookFileHandle, " ", 1);
   }
   numstr=OPCODE__Compiler_ASCII_7bit_unsigned_long_to_string(value, base);
  //Avoid memory leak after using the locally-allocated string
  OPCODE__Application_write_C_unsigned_char_buffer_BinaryFile(bookFileHandle, numstr, strlen(numstr));free(numstr);numstr=NULL;
  }
   else if(messageType==2)  //Use plain printf, for example, for CGI output
   {
    printf("%s",OPCODE__Compiler_ASCII_7bit_unsigned_long_to_string(value, base));
    free(numstr);numstr=NULL;
   }

 if(numstr!=NULL)free(numstr);
}



#endif



















//This function will simply write back the same
//passed word if it doesn't find a perfect match
//and a perfect match to translate to the requested
//language, we could put all the known words randomly
//selected, etc...
///
 void HumanLanguageWords__StaticWriteTranslateString(char *wordstring, char *langid)
 {
 }



























//EOF
